Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

DefaultRepositorySelector Member List

This is the complete list of members for DefaultRepositorySelector, including all inherited members.

addRef() const | DefaultRepositorySelector | virtual
cast(const Class &clazz) const =0 | Object | pure virtual
DefaultRepositorySelector(const LoggerRepositoryPtr &repository1) | DefaultRepositorySelector |
getClass() const | Object | virtual
getLoggerRepository() | DefaultRepositorySelector | virtual
getStaticClass() | Object | static
instanceof(const Class &clazz) const =0 | Object | pure virtual
ObjectImpl() | ObjectImpl |
ref | ObjectImpl | mutable protected
registerClass() | Object | static
releaseRef() const | DefaultRepositorySelector | virtual
~Object() | Object | inline virtual
~ObjectImpl() | ObjectImpl | virtual
~RepositorySelector() | RepositorySelector | inline virtual